# Uses of Annotation Interface
org.springframework.format.annotation.DurationFormat

Packages that use DurationFormat
Package
Description
org.springframework.format.datetime.standard
Integration with the JSR-310 `java.time` package in JDK 8.

## Uses of DurationFormat in org.springframework.format.datetime.standard

Methods in org.springframework.format.datetime.standard with parameters of type DurationFormat
Modifier and Type
Method
Description
`Parser<?>`
DurationFormatAnnotationFormatterFactory.`getParser(DurationFormat annotation, Class<?> fieldType)`
`Printer<?>`
DurationFormatAnnotationFormatterFactory.`getPrinter(DurationFormat annotation, Class<?> fieldType)`